input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: $white;
    border-radius: rem(5);
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: rem(50);
        outline: none;
        color: #6A6A6A;
        box-shadow: none;
        font-weight: 400;
        position: relative;
        font-size: rem(14);
        line-height: rem(20);
        border-radius: rem(5);
        background: transparent;
        padding: rem(14) rem(22);
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid #ccc;
        @include placeholder(#6A6A6A);
        font-family: $font-family-third;

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            border-color: #6A6A6A;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &--round {
        border-radius: rem(8);

        #{$input-selector} {
            border-radius: rem(8);
        }
    }

    &--white {

        #{$input-selector} {
            border-color: $white;

            &:focus,
            &:active {
                border-color: $white;
            }
        }
    }

    &--md {

        #{$input-selector} {
            font-size: rem(16);
        }
    }

    &--sm {

        #{$input-selector} {
            height: rem(40);
            font-size: rem(14);
            line-height: rem(18);
            padding: rem(10) rem(12);
        }
    }

    &--gray {
        background: #F5F5F5;

        #{$input-selector} {
            border-color: #F5F5F5;
        }
    }

    &--black {

        #{$input-selector} {
            color: $black;
            font-weight: 600;
            @include placeholder($black);

            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }
    }

    &--flag {

        #{$input-selector} {
            padding-left: rem(40);
        }
    }

    &--card {

        #{$input-selector} {
            padding-right: rem(60);
        }
    }

    &__currency {
        z-index: 1;
        top: rem(10);
        right: rem(10);
        color: #6A6A6A;
        font-size: rem(14);
        line-height: rem(20);
        position: absolute;
    }

    &__flag {
        top: rem(18);
        left: rem(14);
        font-size: 0;
        line-height: 0;
        height: rem(14);
        position: absolute;
        display: inline-block;
    }

    &__card {
        top: rem(12);
        right: rem(14);
        font-size: 0;
        line-height: 0;
        height: rem(25);
        position: absolute;
        display: inline-block;
    }

    &[data-field-range] {

        &:before {
            z-index: 1;
            top: rem(10);
            left: rem(12);
            color: #6A6A6A;
            position: absolute;
            font-size: rem(14);
            line-height: rem(20);
            white-space: nowrap;
            content: attr(data-field-range);
        }

        #{$input-selector} {
            padding-left: rem(36);
            padding-right: rem(30);
        }
    }
}

.phone-field {


    .iti {

    }
}
